UpdateAlertNotificationPolicy
Update an existing notification routing policy
PUT
/api/v1/alerting/notification-policies/{uuid}Operation ID
UpdateAlertNotificationPolicySince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredUUID of the policy to update
Body Fields
nameStringNew policy name
Example: Updated Routing Policy
descriptionStringNew policy description
Example: Updated routing description
priorityIntegerNew priority order
Example: 2
matchersListUpdated label matchers
Example: (nested array)
keyStringWhitelisted alert label key to match
Example: severity
operatorStringMatch operator: eq, neq, or regex
Example: eq
valueStringValue used by the selected operator
Example: critical
channelIdsListUpdated channel UUIDs
Example: item1,item2
